For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
            • GETList Orders
            • POSTCreate Order
            • GETGet Order
            • PUTUpdate Order
            • PUTReassign Orders to Different Company
            • GETList Order Products
            • PUTAssign Customer Orders to Company
            • GETList Order Extra Field Configs
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementOrders

List Order Products

GET
https://api-b2b.bigcommerce.com/api/v3/io/orders/:bcOrderId/products
GET
/api/v3/io/orders/:bcOrderId/products
$curl https://api-b2b.bigcommerce.com/api/v3/io/orders/123/products \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 1,
3 "data": [
4 {
5 "id": 12345,
6 "productId": 12345,
7 "createdAt": 1744735719,
8 "updatedAt": 1744735734,
9 "productName": "The Planter by Rustic Roots",
10 "variantSku": "CER-POT-2-SL",
11 "variantId": 74669,
12 "productBrandName": "Rustic Roots",
13 "quantity": 5,
14 "options": [
15 {
16 "id": 129,
17 "optionId": 4243,
18 "productOptionId": 258,
19 "orderProductId": 3773,
20 "displayName": "Color",
21 "displayNameCustomer": "Color",
22 "displayNameMerchant": "Color",
23 "displayValue": "Slate",
24 "displayValueCustomer": "Slate",
25 "displayValueMerchant": "Slate",
26 "value": 18836,
27 "type": "Multiple choice",
28 "name": "Color1736973439-63261",
29 "displayStyle": "Rectangle"
30 }
31 ]
32 }
33 ],
34 "message": "SUCCESS"
35}
Retrieves product details of a specific order based on the `bcOrderId` provided. The `bcOrderId` parameter must include a valid BigCommerce Order ID (**not** the B2B Edition order ID returned in certain Orders endpoints) for the request to be successful. This does not include all product information, such as pricing and physical dimensions. You can retrieve this information by using the [List Order Products](/developer/api-reference/rest/admin/management/orders/order-products/get-order-products) endpoint of the BigCommerce Orders API.
Was this page helpful?
Previous

Reassign Orders to Different Company

Next

Assign Customer Orders to Company

Built with

Retrieves product details of a specific order based on the bcOrderId provided. The bcOrderId parameter must include a valid BigCommerce Order ID (not the B2B Edition order ID returned in certain Orders endpoints) for the request to be successful.

This does not include all product information, such as pricing and physical dimensions. You can retrieve this information by using the List Order Products endpoint of the BigCommerce Orders API.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

bcOrderIdintegerRequired
The BigCommerce order ID.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
datalist of objects
messagestringDefaults to SUCCESS

Errors

404
Not Found Error